<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Book A Flight</title>
    <link th:rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css} "/>
    <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}"></script>
</head>
<body>
<div class="container">
    <h1>Destinations:</h1>
    <ul>
        <li th:each="destination : ${destinations.keySet}" th:value="${destination}"
        th:text="${destination + ' (€' + destinations.get(destination) + ')'} "></li>
    </ul>
    <form method="post" th:action="@{/bookflight}" th:object="${flightBooking}">
        <div class="form-group col-md-6">
            <label th:for="name">Name</label>
            <input type="text" class="form-control" th:field="*{name}">
        </div>
        <div class="form-group col-md-6">
            <label th:for="destination">Destination</label>
            <input type="text" class="form-control" th:field="*{destination}">
        </div>
        <div class="form-group col-md-6">
            <label th:for="name">Account</label>
            <input type="text" class="form-control" th:field="*{account}">
        </div>
        <div class="form-group row mt-2">
            <div class="col-sm-10">
                <button type="submit" class="btn btn-primary">Book Flight</button>
            </div>
        </div>
    </form>
</div>
</body>
</html>